# NAME

git-annex diffdriver - external git diff driver shim

# SYNOPSIS

git annex diffdriver `-- cmd --opts --`

# DESCRIPTION

This is an external git diff driver shim. Normally, when using `git diff`
with an external diff driver, it will not see the contents of annexed
files, since git passes to it the git-annex symlinks or pointer files.
This command works around the problem, by running the 
real external diff driver, and passing it the paths to the annexed content.

To use this, you will need to have installed some git external diff driver
command. This is not the regular diff command; it takes a git-specific
input. See git's documentation of `GIT_EXTERNAL_DIFF` and
gitattributes(5)'s documentation of external diff drivers.

Configure git to use "git-annex diffdriver -- cmd params --"
as the external diff driver, where cmd is the external diff
driver you want it to run, and params are any extra parameters to pass
to it. Note the trailing "--", which is required.

For example, set `GIT_EXTERNAL_DIFF=git-annex diffdriver -- j-c-diff --`

# OPTIONS

Normally "--" followed by the diff driver command, its options, 
and another "--"

Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
